Bug 1534301 - cppcheck-1.83 is available
Summary: cppcheck-1.83 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cppcheck
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-15 00:11 UTC by Upstream Release Monitoring
Modified: 2018-06-19 14:22 UTC (History)
3 users (show)

Fixed In Version: cppcheck-1.83-1.fc27 cppcheck-1.83-1.fc28 cppcheck-1.83-3.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-25 17:59:19 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 1.82 (#1534301) (907 bytes, patch)
2018-01-15 00:11 UTC, Upstream Release Monitoring
no flags Details | Diff
Patch to update to 1.83 (694 bytes, patch)
2018-04-12 16:52 UTC, Steve Grubb
no flags Details | Diff
use system tinyxml (3.69 KB, patch)
2018-04-12 16:53 UTC, Steve Grubb
no flags Details | Diff

Description Upstream Release Monitoring 2018-01-15 00:11:46 UTC
Latest upstream release: 1.82
Current version/release in rawhide: 1.81-1.fc28
URL: http://sourceforge.net/projects/cppcheck

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/357/

Comment 1 Upstream Release Monitoring 2018-01-15 00:11:57 UTC
Created attachment 1381206 [details]
[patch] Update to 1.82 (#1534301)

Comment 2 Upstream Release Monitoring 2018-01-15 00:18:55 UTC
hotness's scratch build of cppcheck-1.82-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24204143

Comment 3 Upstream Release Monitoring 2018-04-02 12:12:37 UTC
Latest upstream release: 1.83
Current version/release in rawhide: 1.81-5.fc29
URL: http://sourceforge.net/projects/cppcheck

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/357/

Comment 4 Steve Grubb 2018-04-12 16:52:10 UTC
Created attachment 1420953 [details]
Patch to update to 1.83

This patch is for the spec file to update to 1.83.

Comment 5 Steve Grubb 2018-04-12 16:53:58 UTC
Created attachment 1420955 [details]
use system tinyxml

This patch replaces the one for 1.80 as the cli/CMakeLists.txt file has changed.

Comment 6 Steve Grubb 2018-04-12 16:55:13 UTC
I have attached everything needed to upgrade to the latest release. Do you mind pushing it through the build system? TIA!

Comment 7 Fedora Update System 2018-04-14 16:08:06 UTC
cppcheck-1.83-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8a1b15e5a

Comment 8 Fedora Update System 2018-04-14 16:08:16 UTC
cppcheck-1.83-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-03376bc65c

Comment 9 Fedora Update System 2018-04-14 16:08:21 UTC
cppcheck-1.83-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-86088e6b05

Comment 10 Fedora Update System 2018-04-15 02:26:59 UTC
cppcheck-1.83-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-03376bc65c

Comment 11 Fedora Update System 2018-04-15 15:18:32 UTC
cppcheck-1.83-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-86088e6b05

Comment 12 Fedora Update System 2018-04-15 16:22:49 UTC
cppcheck-1.83-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8a1b15e5a

Comment 13 Susi Lehtola 2018-04-16 09:22:03 UTC
(In reply to Steve Grubb from comment #6)
> I have attached everything needed to upgrade to the latest release. Do you
> mind pushing it through the build system? TIA!

Thanks for the patch.

Comment 14 Fedora Update System 2018-04-25 17:59:19 UTC
cppcheck-1.83-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-27 04:03:08 UTC
cppcheck-1.83-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-05-17 18:33:31 UTC
cppcheck-1.83-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-86088e6b05

Comment 17 Fedora Update System 2018-05-19 04:24:01 UTC
cppcheck-1.83-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-86088e6b05

Comment 18 Fedora Update System 2018-06-02 17:42:41 UTC
cppcheck-1.83-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-394afecc57

Comment 19 Fedora Update System 2018-06-02 22:03:46 UTC
cppcheck-1.83-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-394afecc57

Comment 20 Fedora Update System 2018-06-19 14:22:36 UTC
cppcheck-1.83-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.